com.h3c.of.lib

## Class IncompleteStructureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.h3c.of.lib.OpenflowException
      - - com.h3c.of.lib.IncompleteStructureException

- All Implemented Interfaces:
    Serializable

      public class IncompleteStructureException
      extends OpenflowException

  Exception thrown when an attempt is made to encode an `OpenFlow structure` which is incomplete. That is, the `mutable` instance has not had all the required fields set, before converting it to an immutable instance and attempting to encode it.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncompleteStructureException()` Constructs a new incomplete-structure exception with null as its detail message, and no specific cause.
    `IncompleteStructureException(String message)` Constructs a new incomplete-structure exception with the specified detail message, and no specific cause.
    `IncompleteStructureException(String message, Throwable cause)` Constructs a new incomplete-structure exception with the specified detail message, and the given cause.
    `IncompleteStructureException(Throwable cause)` Constructs a new incomplete-structure exception with null as its detail message, but with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompleteStructureException

          public IncompleteStructureException()

      Constructs a new incomplete-structure exception with null as its detail message, and no specific cause.

    - #### IncompleteStructureException

          public IncompleteStructureException(String message,
                                      Throwable cause)

      Constructs a new incomplete-structure exception with the specified detail message, and the given cause.
      Parameters:
        `message` - the detail message
        `cause` - the underlying cause

    - #### IncompleteStructureException

          public IncompleteStructureException(String message)

      Constructs a new incomplete-structure exception with the specified detail message, and no specific cause.
      Parameters:
        `message` - the detail message

    - #### IncompleteStructureException

          public IncompleteStructureException(Throwable cause)

      Constructs a new incomplete-structure exception with null as its detail message, but with the given cause.
      Parameters:
        `cause` - the underlying cause

Copyright © 2014. All Rights Reserved.